/*  I valori delle label nelle variabili categoriche sono commentati a causa della presenza di codici non esclusivamente numerici. Comunque sono completamente documentati.  */
clear all
infile  using  PGM_2000_EN_DELIMITED.dct, clear
/*
label define  nace_cl2 10   "Mining and quarying (NACE10-NACE14)" 15   "Manufacture of food products and beverages; manufacture of tobacco products (NACE15-NACE16)" 17   "Manufacture of textiles" 18   "Manufacture of wearing apparel, dressing and dyeing of fur" 19   "Tanning and dressing of leather, manufacture of luggage, handbags, saddlery, harness and footwear" 20   "Manufacture of wood and products of wood and cork, except furniture, manufacture of articles of straw and plaiting materials" 21   "Manufacture of pulp, paper and paper products" 22   "Publishing, printing and reproduction of recorded media" 23   "Manufacture of coke, refined petroleum products and nuclear fuel" 24   "Manufacture of chemicals and chemical products" 25   "Manufacture of rubber and plastic products" 26   "Manufacture of other non-metallic mineral products" 27   "Manufacture of basic metals" 28   "Manufacture of fabricated metal products, except machinery and equipment" 29   "Manufacture of machinery and equipment n.e.c.5" 30   "Manufacture of electrical and optical equipment" 31   "Manufacture of electrical machinery and apparatus n.e.c.5" 32   "Manufacture of radio, television and communication equipment and apparatus" 33   "Manufacture of medical, precision and optical instruments, watches and clocks" 34   "Manufacture of motor vehicles, trailers and semi-trailers" 35   "Manufacture of other transport equipment" 36   "Manufacture of furniture, manufacturing n.e.c.5" 37   "Recycling" 40   "Electricity, gas and water supply (NACE40-NACE41)" 45   "Construction" 50   "Sale, maintenance and repair of motor vehicles and motorcycles, retail sale of automotive fuel" 51   "Wholesale trade and commission trade, except of motor vehicles and motorcycles" 52   "Retail trade, except of motor vehicles and motorcycles, repair of personal and household goods" 55   "Hotels and restaurants" 60   "Land transport, transport via pipelines" 61   "Water transport" 62   "Air transport" 63   "Supporting and auxiliary transport activities, activities of travel agencies" 64   "Post and telecommunications" 65   "Financial intermediation, except insurance and pension funding" 66   "Insurance and pension funding, except compulsory social security" 67   "Activities auxiliary to financial intermediation" 70   "Real estate activities" 71   "Renting of machinery and equipment without operator and of personal and house" 72   "Computer and related activities" 73   "Research and development" 74   "Other business activities"  
label define  gp_cl3 .   "missing or non applicable" 0   "No" 1   "Yes"  
label define  ho_cl4 .   "missing or non applicable" 0   "the enterprise does not belong to a group" 1   "Home country (Italy)" 2   "Europe + Candidate Countries + EFTA countries (Austria, Belgium, Germany, Denmark, Spain, Finland, France, United Kingdom, Greece, Ireland, Iceland, Liechtenstein, Luxembourg, Malta, The Netherlands, " 3   "rest of the world (Argentina, Australia, Bermude, Canada, Chile, China, Israel, Iran, Japan, Kuwait, New Caledonia, Saudi Arabia, Singapore, El Salvador, Turkey, Taiwan, United States of America, Virg"  
label define  est_cl5 .   "missing or non applicable" 0   "No" 1   "Yes"  
label define  turninc_cl6 .   "missing or non applicable" 0   "No" 1   "Yes"  
label define  turndec_cl7 .   "missing or non applicable" 0   "No" 1   "Yes"  
label define  sigmar_cl8 .   "missing or non applicable" 1   "Province" 2   "Inter-province" 3   "Regional" 4   "Inter-regional" 5   "National" 6   "UE" 7   "Extra-UE"  
label define  emp_cl15 1   "0-49 employees" 2   "50-249 employees" 3   "more than 250 employees" 2_3   "only for NACE 20, 23, 30, 67 and 73, class 2 and class 3 are aggregated into a new one, category 2_3" 1_2_3   "only for NACE 37, 62 and 64 all number of employees classes are aggregated into a single one, category 1_2_3"  
label define  inpdt_cl17 .   "missing or non applicable" 0   "No" 1   "Yes"  
label define  inpdtw_cl18 .   "missing or non applicable" 1   "Mainly by the enterprise or enterprise group" 2   "In cooperation with other enterprises or institutions" 3   "Mainly other enterprises or institutions"  
label define  inmar_cl21 .   "missing or non applicable" 0   "No" 1   "Yes"  
label define  inpcs_cl23 .   "missing or non applicable" 0   "No" 1   "Yes"  
label define  inpcsw_cl24 .   "missing or non applicable" 1   "Mainly by the enterprise or enterprise group" 2   "In cooperation with other enterprises or institutions" 3   "Mainly other enterprises or institutions"  
label define  inon_cl25 .   "missing or non applicable" 0   "No" 1   "Yes"  
label define  inab_cl26 .   "missing or non applicable" 0   "No" 1   "Yes"  
label define  rrdin_cl27 .   "missing or non applicable" 0   "No" 1   "Yes"  
label define  rrdex_cl29 .   "missing or non applicable" 0   "No" 1   "Yes"  
label define  rmac_cl31 .   "missing or non applicable" 0   "No" 1   "Yes"  
label define  roek_cl33 .   "missing or non applicable" 0   "No" 1   "Yes"  
label define  rtr_cl35 .   "missing or non applicable" 0   "No" 1   "Yes"  
label define  rmar_cl36 .   "missing or non applicable" 0   "No" 1   "Yes"  
label define  rpre_cl37 .   "missing or non applicable" 0   "No" 1   "Yes"  
label define  rdeng_cl41 .   "missing or non applicable" 1   "continuously" 2   "occasionally"  
label define  erange_cl42 .   "missing or non applicable" 0   "Not rel." 1   "Low" 2   "Med" 3   "High"  
label define  emar_cl43 .   "missing or non applicable" 0   "Not rel." 1   "Low" 2   "Med" 3   "High"  
label define  equa_cl44 .   "missing or non applicable" 0   "Not rel." 1   "Low" 2   "Med" 3   "High"  
label define  eflex_cl45 .   "missing or non applicable" 0   "Not rel." 1   "Low" 2   "Med" 3   "High"  
label define  ecap_cl46 .   "missing or non applicable" 0   "Not rel." 1   "Low" 2   "Med" 3   "High"  
label define  elbr_cl47 .   "missing or non applicable" 0   "Not rel." 1   "Low" 2   "Med" 3   "High"  
label define  emat_cl48 .   "missing or non applicable" 0   "Not rel." 1   "Low" 2   "Med" 3   "High"  
label define  eenv_cl49 .   "missing or non applicable" 0   "Not rel." 1   "Low" 2   "Med" 3   "High"  
label define  estd_cl50 .   "missing or non applicable" 0   "Not rel." 1   "Low" 2   "Med" 3   "High"  
label define  funloc_cl51 .   "missing or non applicable" 0   "No" 1   "Yes"  
label define  fungmt_cl52 .   "missing or non applicable" 0   "No" 1   "Yes"  
label define  funeu_cl53 .   "missing or non applicable" 0   "No" 1   "Yes"  
label define  funrtd_cl54 .   "missing or non applicable" 0   "No" 1   "Yes"  
label define  co_cl55 .   "missing or non applicable" 0   "No" 1   "Yes"  
label define  co11_cl56 .   "missing or non applicable" 0   "No" 1   "Yes"  
label define  co12_cl57 .   "missing or non applicable" 0   "No" 1   "Yes"  
label define  co13_cl58 .   "missing or non applicable" 0   "No" 1   "Yes"  
label define  co14_cl59 .   "missing or non applicable" 0   "No" 1   "Yes"  
label define  co15_cl60 .   "missing or non applicable" 0   "No" 1   "Yes"  
label define  co16_cl61 .   "missing or non applicable" 0   "No" 1   "Yes"  
label define  co21_cl62 .   "missing or non applicable" 0   "No" 1   "Yes"  
label define  co22_cl63 .   "missing or non applicable" 0   "No" 1   "Yes"  
label define  co23_cl64 .   "missing or non applicable" 0   "No" 1   "Yes"  
label define  co24_cl65 .   "missing or non applicable" 0   "No" 1   "Yes"  
label define  co25_cl66 .   "missing or non applicable" 0   "No" 1   "Yes"  
label define  co26_cl67 .   "missing or non applicable" 0   "No" 1   "Yes"  
label define  co31_cl68 .   "missing or non applicable" 0   "No" 1   "Yes"  
label define  co32_cl69 .   "missing or non applicable" 0   "No" 1   "Yes"  
label define  co33_cl70 .   "missing or non applicable" 0   "No" 1   "Yes"  
label define  co34_cl71 .   "missing or non applicable" 0   "No" 1   "Yes"  
label define  co35_cl72 .   "missing or non applicable" 0   "No" 1   "Yes"  
label define  co36_cl73 .   "missing or non applicable" 0   "No" 1   "Yes"  
label define  co41_cl74 .   "missing or non applicable" 0   "No" 1   "Yes"  
label define  co42_cl75 .   "missing or non applicable" 0   "No" 1   "Yes"  
label define  co43_cl76 .   "missing or non applicable" 0   "No" 1   "Yes"  
label define  co44_cl77 .   "missing or non applicable" 0   "No" 1   "Yes"  
label define  co45_cl78 .   "missing or non applicable" 0   "No" 1   "Yes"  
label define  co46_cl79 .   "missing or non applicable" 0   "No" 1   "Yes"  
label define  co51_cl80 .   "missing or non applicable" 0   "No" 1   "Yes"  
label define  co52_cl81 .   "missing or non applicable" 0   "No" 1   "Yes"  
label define  co53_cl82 .   "missing or non applicable" 0   "No" 1   "Yes"  
label define  co54_cl83 .   "missing or non applicable" 0   "No" 1   "Yes"  
label define  co55_cl84 .   "missing or non applicable" 0   "No" 1   "Yes"  
label define  co56_cl85 .   "missing or non applicable" 0   "No" 1   "Yes"  
label define  co61_cl86 .   "missing or non applicable" 0   "No" 1   "Yes"  
label define  co62_cl87 .   "missing or non applicable" 0   "No" 1   "Yes"  
label define  co63_cl88 .   "missing or non applicable" 0   "No" 1   "Yes"  
label define  co64_cl89 .   "missing or non applicable" 0   "No" 1   "Yes"  
label define  co65_cl90 .   "missing or non applicable" 0   "No" 1   "Yes"  
label define  co66_cl91 .   "missing or non applicable" 0   "No" 1   "Yes"  
label define  co71_cl92 .   "missing or non applicable" 0   "No" 1   "Yes"  
label define  co72_cl93 .   "missing or non applicable" 0   "No" 1   "Yes"  
label define  co73_cl94 .   "missing or non applicable" 0   "No" 1   "Yes"  
label define  co74_cl95 .   "missing or non applicable" 0   "No" 1   "Yes"  
label define  co75_cl96 .   "missing or non applicable" 0   "No" 1   "Yes"  
label define  co76_cl97 .   "missing or non applicable" 0   "No" 1   "Yes"  
label define  co81_cl98 .   "missing or non applicable" 0   "No" 1   "Yes"  
label define  co82_cl99 .   "missing or non applicable" 0   "No" 1   "Yes"  
label define  co83_cl100 .   "missing or non applicable" 0   "No" 1   "Yes"  
label define  co84_cl101 .   "missing or non applicable" 0   "No" 1   "Yes"  
label define  co85_cl102 .   "missing or non applicable" 0   "No" 1   "Yes"  
label define  co86_cl103 .   "missing or non applicable" 0   "No" 1   "Yes"  
label define  sent_cl104 .   "missing or non applicable" 0   "Not rel." 1   "Low" 2   "Med" 3   "High"  
label define  sgrp_cl105 .   "missing or non applicable" 0   "Not rel." 1   "Low" 2   "Med" 3   "High"  
label define  ssup_cl106 .   "missing or non applicable" 0   "Not rel." 1   "Low" 2   "Med" 3   "High"  
label define  scli_cl107 .   "missing or non applicable" 0   "Not rel." 1   "Low" 2   "Med" 3   "High"  
label define  scom_cl108 .   "missing or non applicable" 0   "Not rel." 1   "Low" 2   "Med" 3   "High"  
label define  suni_cl109 .   "missing or non applicable" 0   "Not rel." 1   "Low" 2   "Med" 3   "High"  
label define  sgmt_cl110 .   "missing or non applicable" 0   "Not rel." 1   "Low" 2   "Med" 3   "High"  
label define  spro_cl111 .   "missing or non applicable" 0   "Not rel." 1   "Low" 2   "Med" 3   "High"  
label define  sexb_cl112 .   "missing or non applicable" 0   "Not rel." 1   "Low" 2   "Med" 3   "High"  
label define  hdlay_cl113 .   "missing or non applicable" 0   "No" 1   "Yes"  
label define  hstar_cl114 .   "missing or non applicable" 0   "No" 1   "Yes"  
label define  hbur_cl115 .   "missing or non applicable" 0   "No" 1   "Yes"  
label define  hprior_cl116 .   "missing or non applicable" 0   "No" 1   "Yes"  
label define  hmar_cl117 .   "missing or non applicable" 0   "No" 1   "Yes"  
label define  himp_cl118 .   "missing or non applicable" 0   "No" 1   "Yes"  
label define  heco_cl119 .   "missing or non applicable" 0   "Not rel." 1   "Low" 2   "Med" 3   "High"  
label define  hcos_cl120 .   "missing or non applicable" 0   "Not rel." 1   "Low" 2   "Med" 3   "High"  
label define  hfin_cl121 .   "missing or non applicable" 0   "Not rel." 1   "Low" 2   "Med" 3   "High"  
label define  horg_cl122 .   "missing or non applicable" 0   "Not rel." 1   "Low" 2   "Med" 3   "High"  
label define  hper_cl123 .   "missing or non applicable" 0   "Not rel." 1   "Low" 2   "Med" 3   "High"  
label define  htec_cl124 .   "missing or non applicable" 0   "Not rel." 1   "Low" 2   "Med" 3   "High"  
label define  hinf_cl125 .   "missing or non applicable" 0   "Not rel." 1   "Low" 2   "Med" 3   "High"  
label define  hflex_cl126 .   "missing or non applicable" 0   "Not rel." 1   "Low" 2   "Med" 3   "High"  
label define  hcus_cl127 .   "missing or non applicable" 0   "Not rel." 1   "Low" 2   "Med" 3   "High"  
label define  paap_cl128 .   "missing or non applicable" 0   "No" 1   "Yes"  
label define  paval_cl129 .   "missing or non applicable" 0   "No" 1   "Yes"  
label define  proreg_cl130 .   "missing or non applicable" 0   "No" 1   "Yes"  
label define  protm_cl131 .   "missing or non applicable" 0   "No" 1   "Yes"  
label define  procp_cl132 .   "missing or non applicable" 0   "No" 1   "Yes"  
label define  prosec_cl133 .   "missing or non applicable" 0   "No" 1   "Yes"  
label define  prodes_cl134 .   "missing or non applicable" 0   "No" 1   "Yes"  
label define  protim_cl135 .   "missing or non applicable" 0   "No" 1   "Yes"  
label define  actstr_cl136 .   "missing or non applicable" 0   "No" 1   "Yes"  
label define  actman_cl137 .   "missing or non applicable" 0   "No" 1   "Yes"  
label define  actorg_cl138 .   "missing or non applicable" 0   "No" 1   "Yes"  
label define  actmar_cl139 .   "missing or non applicable" 0   "No" 1   "Yes"  
label define  actaes_cl140 .   "missing or non applicable" 0   "No" 1   "Yes"  
label values  nace nace_cl2
label values  gp gp_cl3
label values  ho ho_cl4
label values  est est_cl5
label values  turninc turninc_cl6
label values  turndec turndec_cl7
label values  sigmar sigmar_cl8
label values  emp emp_cl15
label values  inpdt inpdt_cl17
label values  inpdtw inpdtw_cl18
label values  inmar inmar_cl21
label values  inpcs inpcs_cl23
label values  inpcsw inpcsw_cl24
label values  inon inon_cl25
label values  inab inab_cl26
label values  rrdin rrdin_cl27
label values  rrdex rrdex_cl29
label values  rmac rmac_cl31
label values  roek roek_cl33
label values  rtr rtr_cl35
label values  rmar rmar_cl36
label values  rpre rpre_cl37
label values  rdeng rdeng_cl41
label values  erange erange_cl42
label values  emar emar_cl43
label values  equa equa_cl44
label values  eflex eflex_cl45
label values  ecap ecap_cl46
label values  elbr elbr_cl47
label values  emat emat_cl48
label values  eenv eenv_cl49
label values  estd estd_cl50
label values  funloc funloc_cl51
label values  fungmt fungmt_cl52
label values  funeu funeu_cl53
label values  funrtd funrtd_cl54
label values  co co_cl55
label values  co11 co11_cl56
label values  co12 co12_cl57
label values  co13 co13_cl58
label values  co14 co14_cl59
label values  co15 co15_cl60
label values  co16 co16_cl61
label values  co21 co21_cl62
label values  co22 co22_cl63
label values  co23 co23_cl64
label values  co24 co24_cl65
label values  co25 co25_cl66
label values  co26 co26_cl67
label values  co31 co31_cl68
label values  co32 co32_cl69
label values  co33 co33_cl70
label values  co34 co34_cl71
label values  co35 co35_cl72
label values  co36 co36_cl73
label values  co41 co41_cl74
label values  co42 co42_cl75
label values  co43 co43_cl76
label values  co44 co44_cl77
label values  co45 co45_cl78
label values  co46 co46_cl79
label values  co51 co51_cl80
label values  co52 co52_cl81
label values  co53 co53_cl82
label values  co54 co54_cl83
label values  co55 co55_cl84
label values  co56 co56_cl85
label values  co61 co61_cl86
label values  co62 co62_cl87
label values  co63 co63_cl88
label values  co64 co64_cl89
label values  co65 co65_cl90
label values  co66 co66_cl91
label values  co71 co71_cl92
label values  co72 co72_cl93
label values  co73 co73_cl94
label values  co74 co74_cl95
label values  co75 co75_cl96
label values  co76 co76_cl97
label values  co81 co81_cl98
label values  co82 co82_cl99
label values  co83 co83_cl100
label values  co84 co84_cl101
label values  co85 co85_cl102
label values  co86 co86_cl103
label values  sent sent_cl104
label values  sgrp sgrp_cl105
label values  ssup ssup_cl106
label values  scli scli_cl107
label values  scom scom_cl108
label values  suni suni_cl109
label values  sgmt sgmt_cl110
label values  spro spro_cl111
label values  sexb sexb_cl112
label values  hdlay hdlay_cl113
label values  hstar hstar_cl114
label values  hbur hbur_cl115
label values  hprior hprior_cl116
label values  hmar hmar_cl117
label values  himp himp_cl118
label values  heco heco_cl119
label values  hcos hcos_cl120
label values  hfin hfin_cl121
label values  horg horg_cl122
label values  hper hper_cl123
label values  htec htec_cl124
label values  hinf hinf_cl125
label values  hflex hflex_cl126
label values  hcus hcus_cl127
label values  paap paap_cl128
label values  paval paval_cl129
label values  proreg proreg_cl130
label values  protm protm_cl131
label values  procp procp_cl132
label values  prosec prosec_cl133
label values  prodes prodes_cl134
label values  protim protim_cl135
label values  actstr actstr_cl136
label values  actman actman_cl137
label values  actorg actorg_cl138
label values  actmar actmar_cl139
label values  actaes actaes_cl140
*/
save  ISTAT_MFR_CIS_Microdata_2000_FILE_STRUCTURE_EXAMPLE.dta, replace
